## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# https://fedoraproject.org/wiki/Changes/CMake_to_do_out-of-source_builds
%undefine __cmake_in_source_build

# Autotools/CMake
%bcond_with fallback_build_tool

%global forgeurl https://github.com/ice-wm/icewm
%global tag %{version}

%global awe_commit da8173bb6bc5a01ca4b512a5d1b7850035f710e5
%global awe_shortcommit %(c=%{awe_commit}; echo ${c:0:7})

Name:           icewm
Version:        3.5.1
%forgemeta
Release:        %autorelease
Summary:        Window manager designed for speed, usability, and consistency

License:        LGPL-2.0-or-later
URL:            https://ice-wm.org/
Source0:        %{forgesource}
Source1:        https://github.com/tim77/awesome-%{name}/archive/%{awe_commit}/awesome-%{name}.git%{awe_shortcommit}.tar.gz
Source2:        README.Fedora.md

%if %{with fallback_build_tool}
BuildRequires:  automake
BuildRequires:  autoconf
%else
BuildRequires:  cmake3 >= 3.2
%endif

BuildRequires:  asciidoc
BuildRequires:  gcc-c++
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  make
%if 0%{?fedora} || 0%{?rhel} >= 8
BuildRequires:  perl-Pod-Html
%endif

BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(ao)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  pkgconfig(gdk-pixbuf-xlib-2.0)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(imlib2)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(xrandr)
BuildRequires:  pkgconfig(xrender)

Requires:       %{name}-data = %{version}-%{release}
Requires:       xdg-utils

%if 0%{?fedora} || 0%{?rhel} >= 8
Recommends:     %{name}-themes = %{version}-%{release}
Recommends:     abattis-cantarell-fonts
# Command line utilities for the Advanced Linux Sound
Recommends:     alsa-utils
Recommends:     desktop-backgrounds-compat
Recommends:     mutt
# Commandline utility to change output properties. Required for
# icewm-menu-xrandr.
Recommends:     xrandr
# https://github.com/bbidulock/icewm/issues/379
Recommends:     xterm

# Various additional useful tools
#   * For antiX like IceWM
Suggests:       conky
#   * Notification daemon
Suggests:       dunst
#   * Screenshot
Suggests:       gnome-screenshot
#   * X11 keyboard indicator and switcher
Suggests:       gxkb
#   * Display resolution control
Suggests:       lxrandr
#   * A network control and status applet for NetworkManager
Suggests:       network-manager-applet
#   * Launcher
Suggests:       nwg-launchers
#   * Compositor for X11
Suggests:       picom
#   * Night mode
Suggests:       redshift-gtk
#   * Volume control
Suggests:       volumeicon

#   * Minimal session for icewm
Suggests:       %{name}-minimal-session = %{version}-%{release}
%endif

%if 0%{?fedora}
#   * Screen brightness control (not available in EPEL8 yet)
Suggests:       xbacklight
%endif

Obsoletes:      %{name}-fonts-settings < 2.3.3-3

%global _description %{expand:
IceWM is a window manager for the X Window System (freedesktop, XFree86). The
goal of IceWM is speed, simplicity, and not getting in the user's way.}

%description %{_description}


# Data package
%package        data
Summary:        Data files for %{name}
BuildArch:      noarch

Requires:       %{name} = %{version}-%{release}

%description    data %{_description}

Data files for %{name}.


# Themes package
%package        themes
Summary:        Extra themes for %{name}
BuildArch:      noarch

Requires:       %{name} = %{version}-%{release}

%description    themes %{_description}

Extra themes for %{name}.


# Minimal-session package
%package        minimal-session
Summary:        Minimal session for %{name}
BuildArch:      noarch

Requires:       %{name} = %{version}-%{release}

%description    minimal-session %{_description}

Minimal, lightweight session for %{name}.


%prep
%forgeautosetup -p1
%setup -q -D -T -a1


%build
%if %{with fallback_build_tool}
# ./autogen.sh
autoreconf -fiv
%configure \
    --with-xterm=%{_bindir}/xterm \
    --sysconfdir=%{_sysconfdir}/%{name} \
    %{nil}
%else
%cmake \
    -DCFGDIR=%{_sysconfdir}/%{name} \
    -DCONFIG_LIBPNG=on \
    -DCONFIG_LIBRSVG=on \
    -DCONFIG_XPM=on \
    -DXTERMCMD=%{_bindir}/xterm \
    %{nil}
%endif

%if %{with fallback_build_tool}
%make_build
%else
%cmake_build
%endif


%install
%if %{with fallback_build_tool}
%make_install
%else
%cmake_install
%endif

# Themes
cp -a awesome-%{name}-%{awe_commit}/themes/AntiX-collection/* %{buildroot}%{_datadir}/%{name}/themes/
cp -a awesome-%{name}-%{awe_commit}/themes/IceAdwaita-* %{buildroot}%{_datadir}/%{name}/themes/
install -pm 0644 awesome-%{name}-%{awe_commit}/distro-logos/fedora/%{name}.png \
    %{buildroot}%{_datadir}/%{name}/themes/IceAdwaita-Small/taskbar/%{name}.png
install -pm 0644 awesome-%{name}-%{awe_commit}/distro-logos/fedora/%{name}-24.png \
    %{buildroot}%{_datadir}/%{name}/themes/IceAdwaita-Medium/taskbar/%{name}.png
install -pm 0644 awesome-%{name}-%{awe_commit}/distro-logos/fedora/%{name}-24.png \
    %{buildroot}%{_datadir}/%{name}/themes/IceAdwaita-Dark-Medium-alpha/taskbar/%{name}.png
install -pm 0644 awesome-%{name}-%{awe_commit}/distro-logos/fedora/%{name}-32.png \
    %{buildroot}%{_datadir}/%{name}/themes/IceAdwaita-Large/taskbar/%{name}.png
rm %{buildroot}%{_datadir}/%{name}/themes/IceAdwaita-*/taskbar/%{name}.xpm

echo "Theme=\"IceAdwaita-Medium/default.theme\"" > %{buildroot}%{_datadir}/%{name}/theme

# Install Fedora docs
install -D -p -m 0644 %{SOURCE2} %{buildroot}%{_docdir}/%{name}/README.Fedora.md

%find_lang %{name}

# Change to current Fedora default background
sed -i 's!/backgrounds/gnome/adwaita-day.jpg!/backgrounds/default.png!' \
    %{buildroot}%{_datadir}/%{name}/themes/IceAdwaita-*/default.theme


%files -f %{name}.lang
%license COPYING
%doc README.md AUTHORS README.Fedora.md
%{_bindir}/%{name}
%{_bindir}/%{name}-menu-fdo
%{_bindir}/%{name}-menu-xrandr
%{_bindir}/%{name}-session
%{_bindir}/%{name}-set-gnomewm
%{_bindir}/%{name}bg
%{_bindir}/%{name}hint
%{_bindir}/icehelp
%{_bindir}/icesh
%{_bindir}/icesound
%{_datadir}/xsessions/%{name}-session.desktop
%{_mandir}/man1/*.1*
%{_mandir}/man5/*.5*
%{_pkgdocdir}/*.html

%files data
%{_datadir}/%{name}/IceWM.jpg
%{_datadir}/%{name}/icons/
%{_datadir}/%{name}/keys
%{_datadir}/%{name}/ledclock/
%{_datadir}/%{name}/mailbox/
%{_datadir}/%{name}/menu
%{_datadir}/%{name}/preferences
%{_datadir}/%{name}/programs
%{_datadir}/%{name}/taskbar/
%{_datadir}/%{name}/theme
%{_datadir}/%{name}/themes/default
%{_datadir}/%{name}/themes/IceAdwaita-*/
%{_datadir}/%{name}/toolbar
%{_datadir}/%{name}/winoptions
%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/themes/

%files themes
%{_datadir}/%{name}/themes/CrystalBlue/
%{_datadir}/%{name}/themes/Helix/
%{_datadir}/%{name}/themes/icedesert/
%{_datadir}/%{name}/themes/Infadel2/
%{_datadir}/%{name}/themes/metal2/
%{_datadir}/%{name}/themes/motif/
%{_datadir}/%{name}/themes/NanoBlue/
%{_datadir}/%{name}/themes/win95/
# AntiX-collection
%{_datadir}/%{name}/themes/Anti*-*/
%{_datadir}/%{name}/themes/blue-crystal-*/
%{_datadir}/%{name}/themes/BlueDay-*/
%{_datadir}/%{name}/themes/Breathe*/
%{_datadir}/%{name}/themes/Clearview*
%{_datadir}/%{name}/themes/eco-green-*/
%{_datadir}/%{name}/themes/FauxGlass-*/
%{_datadir}/%{name}/themes/Groove-*/
%{_datadir}/%{name}/themes/IceClearlooks-*/
%{_datadir}/%{name}/themes/icegil-remix-*/
%{_datadir}/%{name}/themes/IceGilDust-*/
%{_datadir}/%{name}/themes/icenoir-3.3-*/
%{_datadir}/%{name}/themes/Korstro-*/
%{_datadir}/%{name}/themes/KorstroDark-*/
%{_datadir}/%{name}/themes/PrettyPink-*/
%{_datadir}/%{name}/themes/quiescent-*/
%{_datadir}/%{name}/themes/Simplest_black-*/
%{_datadir}/%{name}/themes/SunnyDay-*/
%{_datadir}/%{name}/themes/Truth*/
%{_datadir}/%{name}/themes/UltraBlack-*/

%dir %{_datadir}/%{name}/
%dir %{_datadir}/%{name}/themes/

%files minimal-session
%{_datadir}/xsessions/%{name}.desktop


%changelog
## START: Generated by rpmautospec
* Thu Jun 06 2024 Packit <hello@packit.dev> - 3.5.1-1
- Update to 3.5.1 upstream release
- Resolves: rhbz#2290808

* Mon May 20 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 3.5.0-3
- docs: Add README.Fedora.md

* Mon May 20 2024 Artem Polishchuk <ego.cordatus@gmail.com> - 3.5.0-2
- Spec: Chores

* Mon May 20 2024 Packit <hello@packit.dev> - 3.5.0-1
- Update to 3.5.0 upstream release
- Resolves: rhbz#2282009

* Tue Mar 26 2024 Packit <hello@packit.dev> - 3.4.7-1
- [packit] 3.4.7 upstream release
- Resolves: rhbz#2271555

* Thu Mar 07 2024 Packit <hello@packit.dev> - 3.4.6-1
- [packit] 3.4.6 upstream release
- Resolves rhbz#2268519

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 10 2024 MSVSphere Packaging Team <packager@msvsphere-os.ru> - 3.4.5-1
- Rebuilt for MSVSphere 9.3

* Fri Dec 29 2023 Packit <hello@packit.dev> - 3.4.5-1
- [packit] 3.4.5 upstream release
- Resolves rhbz#2256152

* Fri Nov 03 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.4.4-1
- [packit] 3.4.4 upstream release
- Resolves rhbz#2247727

* Fri Nov 03 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.4.3-6
- packit: Update config

* Thu Oct 19 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.4.3-5
- build: Update forge macros

* Sun Oct 08 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.4.3-4
- license: Convert to SPDX

* Fri Oct 06 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.4.3-3
- build: Add Packit config

* Fri Oct 06 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.4.3-2
- build: Use forge macros

* Tue Oct 03 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.4.3-1
- chore: Update to 3.4.3 (rh#2241848)

* Mon Sep 11 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.4.2-1
- chore: Update to 3.4.2 (rh#2238422)

* Mon Jul 24 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.4.1-1
- chore: Update to 3.4.1 (rh#2224750)

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Leigh Scott <leigh123linux@gmail.com> - 3.4.0-2
- Rebuild fo new imlib2

* Fri Jun 09 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.4.0-1
- chore: Update to 3.4.0 (rhbz#2212455)

* Fri May 19 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.3.5-1
- chore: Update to 3.3.5

* Thu May 04 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.3.4-1
- chore: Update to 3.3.4

* Mon Apr 10 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.3.3-1
- chore: Update to 3.3.3

* Thu Mar 16 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.3.2-1
- chore: Update to 3.3.2

* Tue Jan 24 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.3.1-1
- chore: Update to 3.3.1

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Dec 21 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.3.0-1
- chore: Update to 3.3.0

* Mon Dec 05 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.2.3-1
- chore: Update to 3.2.3

* Thu Nov 17 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.2.2-1
- chore: Update to 3.2.2

* Wed Nov 09 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.2.1-1
- chore: Update to 3.2.1

* Thu Nov 03 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.2.0-1
- chore: Update to 3.2.0

* Sun Oct 30 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.1.0-6
- build: Add xrandr as weak dep

* Sun Oct 30 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.1.0-5
- build: Make alsa-utils as weak dep

* Sun Oct 30 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.1.0-4
- build: Drop adwaita-icon-theme dep

* Sun Oct 30 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.1.0-3
- style: Update .spec

* Sun Oct 30 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.1.0-2
- build: Add mutt as weak dep

* Mon Oct 24 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.1.0-1
- chore(update): 3.1.0

* Thu Oct 06 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.1-1
- chore(update): 3.0.1

* Mon Oct 03 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.0-1
- chore(update): 3.0.0

* Thu Aug 04 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2.9.9-1
- chore(update): 2.9.9

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.9.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon May 16 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2.9.7-1
- chore(update): 2.9.7

* Thu Feb 24 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2.9.6-1
- chore(update): 2.9.6

* Thu Jan 20 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2.9.5-1
- chore(update): 2.9.5

* Sat Jan 01 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2.9.4-1
- chore(update): 2.9.4

* Wed Dec 22 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.9.3-1
- chore(update): 2.9.3

* Fri Dec 10 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.9.2-1
- chore(update): 2.9.2

* Wed Dec 08 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.9.2-1
- chore(update): 1.9.2

* Fri Dec 03 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.9.1-1
- chore(update): 2.9.1

* Wed Nov 24 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.9.0-1
- chore(update): 2.9.0

* Tue Oct 05 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.8.0-1
- chore(update): 2.8.0

* Sat Aug 07 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.7.0-1
- build(update): 2.7.0

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jul 08 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.6.0-1
- build(update): 2.6.0

* Mon Jun 07 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.4.0-1
- build(update): 2.4.0

* Mon May 10 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.3.4-2
- build: Obsoletes icewm-fonts-settings package

* Fri May 07 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.3.4-1
- build(update): 2.3.4

* Fri May 07 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.3.3-2
- build: Drop all custom stuff except default Fedora theme
- build: Drop 'fonts-settings' sub-package

* Wed Apr 28 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.3.3-1
- build(update): 2.3.3

* Thu Apr 15 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.3.2-1
- build(update): 2.3.2

* Mon Apr 12 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.3.1-2
- build: Change to current Fedora default background for default theme

* Sun Apr 04 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.3.1-1
- build(update): 2.3.1

* Fri Apr 02 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.3.0-1
- build(update): 2.3.0

* Wed Mar 24 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.2.1-4
- build: Replace gnome-terminal with rxvt for less deps and DE agnostic

* Wed Mar 24 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.2.1-3
- build: Convert Recommends deps into Suggests

* Tue Mar 09 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.2.1-2
- build: Remove volumeicon dep | RH#1695951

* Wed Mar 03 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.2.1-1
- build(update): 2.2.1

* Tue Feb 09 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.1.2-1
- build(update): 2.1.2

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jan 25 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.1.1-1
- build(update): 2.1.1

* Sat Jan 23 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.1.0-1
- build(update): 2.1.0

* Sun Jan  3 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.0.1-1
- build(update): 2.0.1

* Sun Dec 20 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.0.0-1
- build(update): 2.0.0

* Tue Nov 10 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.9.2-1
- build(update): 1.9.2

* Thu Nov  5 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.9.1-1
- Update to 1.9.1

* Fri Oct 30 07:56:43 EET 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.9.0-1
- build(update): 1.9.0

* Sun Oct 11 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.8.3-2
- build: update antiX theme collections and awe stuff to commit 91c9d4b
- build: make 'picom' as very weak dep

* Thu Sep 17 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.8.3-1
- Update to 1.8.3

* Tue Sep  8 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.8.2-1
- Update to 1.8.2

* Wed Sep  2 07:05:42 EEST 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.8.1-2
- Simplify SPEC file and build radically
- Drop few themes, tweaks, deps

* Mon Aug 31 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.8.1-1
- Update to 1.8.1

* Tue Aug 25 03:56:58 EEST 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.8.0-1
- Update to 1.8.0

* Wed Aug 05 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.7.0-4
- Add '%undefine __cmake_in_source_build' macros

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 24 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.7.0-2
- Rebuild with out-of-source builds new CMake macros

* Wed Jul 15 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.7.0-1
- Update to 1.7.0

* Sat May 30 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.6-1
- Update to 1.6.6

* Wed May 27 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.5-2
- Drop more weak deps and simpilfy SPEC file
- Disable LTO

* Tue Mar 17 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.5-1
- Update to 1.6.5

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 09 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.4-1
- Update to 1.6.4
- Switch source URL to 'github.com/ice-wm/icewm' due to release lags
  https://github.com/bbidulock/icewm/issues/405
- Preserve timestamps during copying

* Mon Nov 25 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.3-1
- Update to 1.6.3

* Sat Nov 23 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.2-6
- Add patch fix: Anti-aliasing icon edges
  https://github.com/bbidulock/icewm/issues/392

* Wed Oct 16 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.2-5
- Theme polishing and new themes

* Sun Oct 13 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.2-4
- Update default theme, more Adwaita-like

* Sat Oct 12 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.2-3
- Theming improving and better defaults (work still in progress)

* Thu Oct 10 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.2-2
- Fixes and new features

* Tue Sep 24 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.2-1
- Update to 1.6.2

* Sun Sep 15 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.1-12
- Replace 'pasystray' with 'volumeicon'

* Thu Sep 12 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.1-10
- Minor theming fixes

* Wed Sep 11 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.1-9
- Add Araita theme
- Add SVG support
- Replace 'xterm' with 'gnome-terminal'
- Spec file and packaging fixes
- Switch to CMake

* Thu Aug 22 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.6.1-4
- Update to 1.6.1
- Thanks to Sergio Cipolla <andorinha.sergio@gmail.com> for help

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jan  3 2017 Tom Callaway <spot@fedoraproject.org> - 1.3.8-11
- move fedora logos out

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.8-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Dec 10 2015 Peter Robinson <pbrobinson@fedoraproject.org> 1.3.8-9
- Require agnostic system-logos

* Mon Dec  7 2015 Peter Robinson <pbrobinson@fedoraproject.org> 1.3.8-8
- Add Fedora conditionals to enable single Fedora/EPEL spec

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.8-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.3.8-6
- Rebuilt for GCC 5 C++11 ABI change

* Fri Mar 20 2015 Richard Hughes <richard@hughsie.com> - 1.3.8-5
- Rebuilt for gdk-pixbuf2-xlib split

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 16 2014 Peter Robinson <pbrobinson@fedoraproject.org> 1.3.8-3
- Fix FTBFS on new architectures (aarch64/ppc64le)
- Cleanup and modernise spec

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Dec 16 2013 Gilboa Davara <gilboad [AT] gmail.com> - 1.3.8-1
- 1.3.38.
- Clearlooks_v3: clearlooks_2px added. Should solve #981758 and #960663.

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jun 09 2013 Gilboa Davara <gilboad [AT] gmail.com> - 1.3.7-9
- Fix #925574 by calling autoconf. (Temporary solution, pending upsteam fix).

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Nov 6 2012 Gilboa Davara <gilboad[AT]gmail.com> - 1.3.7-7
- Updated clearlooks package (#811331).
- (Blunder alert) Finally pushes gnome-icon-theme change to stable.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sun Jun 10 2012 Gilboa Davara <gilboad[AT]gmail.com> - 1.3.7-5
- Bluecurve is still used for menu generation.
- "Rebuild program menu" menu entry added.

* Sun Jun 10 2012 Gilboa Davara <gilboad[AT]gmail.com> - 1.3.7-4
- Emacs replaced fixes (BZ #805939, Ported Debian fix).
- Use gnome-icon-theme instead of bluecurve (BZ #811335).
- Gcc 4.7 compile fix.
- spec cleanup.

* Sun Mar 4 2012 Gilboa Davara <gilboad[AT]gmail.com> - 1.3.7-3
- Fix missing bluecurve-icon-theme in EL-6.
- Start menu icon should now be generated correctly on both Fedora and EPEL.

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Nov 11 2011 Gilboa Davara <gilboad[AT]gmail.com> - 1.3.7-1
- Switch to 1.3.7 tree.
- Fixes bugs: #694532, #689804, #696291, #694622, #716218, #754124.
- Add Marcus Moeller's menu icon size and wmclient patches.
- Missing license information for icewm-xdg-menu.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.37-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 22 2010 Gilboa Davara <gilboad[AT]gmail.com> - 1.2.37-7
- Fix missing backspace.
- Fix duplicate clearlooks theme. (#545268)

* Fri Jan 22 2010 Rahul Sundaram <sundaram@fedoraproject.org> - 1.2.37-6
- Rebuild for libgnome-desktop soname bump
- Fix mixed use of tabs and spaces

* Thu Sep 24 2009 Gilboa Davara <gilboad[AT]gmail.com> - 1.2.37-5
- Patch in missing fribidi support. (#515134)

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.37-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jul 15 2009 Gilboa Davara <gilboad[AT]gmail.com> - 1.2.37-1
- 1.2.37.
- Fix missing directory ownership. (#483346)

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.36-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 6 2009 Caolán McNamara <caolanm@redhat.com> - 1.2.36-3
- pkg-config --cflags gnome-desktop-2.0 doesn't implicitly include
  libgnomeui-2.0 anymore, so add it in explicitly

* Mon Jan 5 2009 Gilboa Davara <gilboad[AT]gmail.com> - 1.2.36-2
- Missing BR libgnomeui-devel. (devel)
- Missing BR gnome-vfs2-devel. (devel)

* Thu Jan 24 2008 <gilboad[AT]gmail.com> - 1.2.35-3
- Fix broken -devel BR (truetype).

* Sat Jan 19 2008 <gilboad[AT]gmail.com> - 1.2.35-2
- Disable xorg-x11-fonts-truetype in -devel.

* Mon Jan 14 2008 <gilboad[AT]gmail.com> - 1.2.35-1
- 1.2.35.
- Missing BR: xorg-x11-fonts-truetype. (#351811)

* Tue Oct 09 2007 <gilboad[AT]gmail.com> - 1.2.32-5
- EL-5 support.
- Missing BR - libgif-devel.
- Devel: Replace redhat-artwork with bluecurve-icon-theme.

* Sun Sep 02 2007 <gilboad[AT]gmail.com> - 1.2.32-4
- Fix mangled if/else. (Again...)

* Sat Sep 01 2007 <gilboad[AT]gmail.com> - 1.2.32-3
- Fix missing BR: libXinerama-devel.
- Fix broken source file.

* Mon Aug 27 2007 <gilboad[AT]gmail.com> - 1.2.32-2
- Fix bad %%{_fedora} if/else.

* Sun Aug 26 2007 <gilboad[AT]gmail.com> - 1.2.32-1
- Fixed license tag.
- Fixed F8 BR - popt-devel.
- Remove APMstatus fix.
- 1.2.32

* Mon Apr 09 2007 <gilboad[AT]gmail.com> - 1.2.30-13
- APMStatus crash fix. (Icewm #1696182)

* Sat Feb 10 2007 <gilboad[AT]gmail.com> - 1.2.30-12
- Add missing dot in the -gnome sub-package description.
- Replace REQ icewm (in both -gnome and -xdgmenu) with icewm-x.x.x.
- Fix -xdgmenu file list and %%install section.
- Preserve the source time-stamp.

* Sun Feb 04 2007 <gilboad[AT]gmail.com> - 1.2.30-11
- Remove .Xdefaults fix from startup. (reported upstream).
- Replace buildroot with RPM_BUILD_ROOT.

* Sun Jan 28 2007 <gilboad[AT]gmail.com> - 1.2.30-10
- Missing REQ: icewm (both -gnome and -xdgmenu)
- Updated menu.in patch.
- Updated startup script. (-xdgmenu)
- Updated icewm-xdg-menu script. (-xdgmenu)

* Thu Jan 25 2007 <gilboad[AT]gmail.com> - 1.2.30-9
- Remove redundant icewm-xdg-menu* %%file entry.
- Change sub-package name to xdgmenu.
- Move icewm-xdg-menu to xdgmenu sub-package.
- Removed the icewm-generate-menu script.

* Sat Jan 20 2007 <gilboad[AT]gmail.com> - 1.2.30-8
- Fix source1 URL. (2nd is a winner)
- Fix -gnome summery.
- New sub-package: icewm-xdg-menu
- ALPHA: icewm-generate-menu script added to use icewm-xdg-menu to generate static menus.

* Sat Jan 20 2007 <gilboad[AT]gmail.com> - 1.2.30-7
- Fix source1 URL.
- Fix xdg-menu* owner.
- Replace default terminal icon to reduce dep-chain.
- Fix icewm-gnome description.
- Replace install with %%{_install}
- Push -gnome's BR to main package.
- Change hard-coded sysconf path.

* Thu Jan 18 2007 <gilboad[AT]gmail.com> - 1.2.30-6
- Change license back to LGPL.
- Change summery.
- New sub-package: -gnome. (GNOME menu support.)
- Missing REQ: xterm.
- Missing REQ: htmlview.
- Remove redundant %%_sysconf section.
- Remove redundant redhat-xxx icons.
- New REQ: redhat-artwork. (icons)
- Better man pages handling.
- Customize keys to better match fedora.
- New REQ: eject. (keys)
- New REQ: alsautils. (keys)

* Wed Jan 17 2007 <gilboad[AT]gmail.com> - 1.2.30-5
- Fix Source0 URL.
- Replace cp with install.
- Do not gzip the man page, just copy it.
- Use htmlview instead of firefox.
- Use BlueCurve icons instead of the mozilla ones.
- Re-fix lang support.
- Return the default configuration files to %%_datadir
- Add gdm session support.
- Remove gnome-menus from default menu - replace it with pyxdg/icewm-xdg-menu.

* Tue Jan 16 2007 <gilboad[AT]gmail.com> - 1.2.30-4
- Fix man page name.
- Remove missing menu items.
- Convert GNOME-menu patch to configure.in patch.
- Push default configuration into /etc/icewm
- Remove the default KDE support. (At least for now)
- Require firefox (default browser in Fedora).
- Add missing firefox icon. (No source - manual convert)
- Add missing gnome-menus. (required for GNOME2 menus)
- Fix missing gettext BR.
- Fix missing lang support.

* Sat Jan 13 2007 <gilboad[AT]gmail.com> - 1.2.30-3
- Fix wrong license. (Was LGPL, should be GPL.)

* Thu Jan 11 2007 <gilboad[AT]gmail.com> - 1.2.30-2
- Manually add missing man page.

* Thu Jan 11 2007 <gilboad[AT]gmail.com> - 1.2.30-1
- Initial release.

## END: Generated by rpmautospec
